> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaigns

> Get Campaigns



## OpenAPI

````yaml /api-reference/campaigns/openapi.json get /campaigns
openapi: 3.0.0
info:
  title: Campaigns API
  description: Documentation for the HoopAI Platform Campaigns API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Campaigns
    description: Documentation for the HoopAI Platform Campaigns API
paths:
  /campaigns:
    get:
      tags:
        - Campaigns
      summary: Get Campaigns
      description: Get Campaigns
      operationId: get-campaigns
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: locationId
          in: query
          required: true
          example: ve9EPM428h8vShlRW1KT
          schema:
            type: string
        - name: status
          in: query
          required: false
          example: draft
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignsSuccessfulResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer:
            - campaigns.readonly
components:
  schemas:
    CampaignsSuccessfulResponseDto:
      type: object
      properties:
        campaigns:
          type: array
          items:
            $ref: '#/components/schemas/campaignsSchema'
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
    campaignsSchema:
      type: object
      properties:
        id:
          type: string
          example: mIVALPYuTD7YjUHnFEx4
        name:
          type: string
          example: test
        status:
          type: string
          example: published
        locationId:
          type: string
          example: ve9EPM428h8vShlRW1KT
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.

````